Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 971532 - NameError: global name 'err' is not defined
Summary: NameError: global name 'err' is not defined
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 19
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:740c52782b1fec7fcab08e2b537...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-06-06 18:29 UTC by Matthew Miller
Modified: 2014-02-21 19:17 UTC (History)
7 users (show)

Fixed In Version: anaconda-20.6-1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-02-21 19:17:35 UTC
Type: ---


Attachments (Terms of Use)
File: anaconda-tb (393.57 KB, text/plain)
2013-06-06 18:29 UTC, Matthew Miller
no flags Details
File: anaconda.log (7.88 KB, text/plain)
2013-06-06 18:29 UTC, Matthew Miller
no flags Details
File: backtrace (770 bytes, text/plain)
2013-06-06 18:29 UTC, Matthew Miller
no flags Details
File: environ (899 bytes, text/plain)
2013-06-06 18:29 UTC, Matthew Miller
no flags Details
File: ifcfg.log (453 bytes, text/plain)
2013-06-06 18:29 UTC, Matthew Miller
no flags Details
File: ks.cfg (4.96 KB, text/plain)
2013-06-06 18:29 UTC, Matthew Miller
no flags Details
File: lsblk_output (1.47 KB, text/plain)
2013-06-06 18:29 UTC, Matthew Miller
no flags Details
File: nmcli_dev_list (3.29 KB, text/plain)
2013-06-06 18:29 UTC, Matthew Miller
no flags Details
File: packaging.log (88.96 KB, text/plain)
2013-06-06 18:29 UTC, Matthew Miller
no flags Details
File: program.log (54.12 KB, text/plain)
2013-06-06 18:29 UTC, Matthew Miller
no flags Details
File: storage.log (121.91 KB, text/plain)
2013-06-06 18:29 UTC, Matthew Miller
no flags Details
File: syslog (71.49 KB, text/plain)
2013-06-06 18:29 UTC, Matthew Miller
no flags Details

Description Matthew Miller 2013-06-06 18:29:12 UTC
Description of problem:
I had --erroronfail in the kickstart, and an fstrim operation apparently fails. That's fine, but I get this traceback instead of an actual error as expected.
The following was filed automatically by anaconda:
anaconda 19.30-1 exception report
Traceback (most recent call first):
  File "/tmp/updates/pyanaconda/kickstart.py", line 126, in run
    errorHandler.cb(ScriptError(), self.lineno, err)
  File "/tmp/updates/pyanaconda/kickstart.py", line 1614, in <lambda>
    map (lambda s: s.run(ROOT_PATH), postScripts)
  File "/tmp/updates/pyanaconda/kickstart.py", line 1614, in runPostScripts
    map (lambda s: s.run(ROOT_PATH), postScripts)
  File "/tmp/updates/pyanaconda/install.py", line 97, in doConfiguration
    runPostScripts(ksdata.scripts)
  File "/usr/lib64/python2.7/threading.py", line 766, in run
    self.__target(*self.__args, **self.__kwargs)
  File "/tmp/updates/pyanaconda/threads.py", line 168, in run
    threading.Thread.run(self, *args, **kwargs)
NameError: global name 'err' is not defined

Version-Release number of selected component:
anaconda-19.30-1

Additional info:
reporter:       libreport-2.1.4
cmdline:        /usr/bin/python  /sbin/anaconda
cmdline_file:   method=http://linux.seas.harvard.edu/fedora/linux/releases/test/19-Beta/Fedora/x86_64/os/ ks=http://mattdm.fedorapeople.org/extlinux.ks updates=http://mattdm.fedorapeople.org/updates.img
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         3.9.2-301.fc19.x86_64
product:        Fedora
release:        Cannot get release name.
type:           anaconda
version:        19-Beta

Truncated backtrace:
Traceback (most recent call last):
  File "/tmp/updates/pyanaconda/threads.py", line 168, in run
    threading.Thread.run(self, *args, **kwargs)
  File "/usr/lib64/python2.7/threading.py", line 766, in run
    self.__target(*self.__args, **self.__kwargs)
  File "/tmp/updates/pyanaconda/install.py", line 97, in doConfiguration
    runPostScripts(ksdata.scripts)
  File "/tmp/updates/pyanaconda/kickstart.py", line 1614, in runPostScripts
    map (lambda s: s.run(ROOT_PATH), postScripts)
  File "/tmp/updates/pyanaconda/kickstart.py", line 1614, in <lambda>
    map (lambda s: s.run(ROOT_PATH), postScripts)
  File "/tmp/updates/pyanaconda/kickstart.py", line 126, in run
    errorHandler.cb(ScriptError(), self.lineno, err)
NameError: global name 'err' is not defined

Comment 1 Matthew Miller 2013-06-06 18:29:17 UTC
Created attachment 757810 [details]
File: anaconda-tb

Comment 2 Matthew Miller 2013-06-06 18:29:21 UTC
Created attachment 757811 [details]
File: anaconda.log

Comment 3 Matthew Miller 2013-06-06 18:29:24 UTC
Created attachment 757812 [details]
File: backtrace

Comment 4 Matthew Miller 2013-06-06 18:29:27 UTC
Created attachment 757813 [details]
File: environ

Comment 5 Matthew Miller 2013-06-06 18:29:32 UTC
Created attachment 757814 [details]
File: ifcfg.log

Comment 6 Matthew Miller 2013-06-06 18:29:36 UTC
Created attachment 757815 [details]
File: ks.cfg

Comment 7 Matthew Miller 2013-06-06 18:29:40 UTC
Created attachment 757816 [details]
File: lsblk_output

Comment 8 Matthew Miller 2013-06-06 18:29:44 UTC
Created attachment 757817 [details]
File: nmcli_dev_list

Comment 9 Matthew Miller 2013-06-06 18:29:48 UTC
Created attachment 757818 [details]
File: packaging.log

Comment 10 Matthew Miller 2013-06-06 18:29:52 UTC
Created attachment 757819 [details]
File: program.log

Comment 11 Matthew Miller 2013-06-06 18:29:55 UTC
Created attachment 757820 [details]
File: storage.log

Comment 12 Matthew Miller 2013-06-06 18:29:59 UTC
Created attachment 757821 [details]
File: syslog

Comment 13 Mark Langsdorf 2013-07-22 14:52:10 UTC
installing f19 for ARM on a Calxeda system using a kickstart file. I'm
using the command "bootloader --extlinux" to install the bootloader.

Calxeda systems are headless so I'm not surprised that X failed but it
shouldn't stop the install.

cmdline:        /usr/bin/python  /sbin/anaconda
cmdline_file:   ksdevice=bootif lang=  console=ttyAMA0,115200 earlyprintk locale=en_US text priority=critical ip=eth0:dhcp debug kssendmac  ks=http://10.20.0.21/cblr/svc/op/ks/profile/fedora-19-highbank fixrtc vram=48M omapfb.vram=0:24M
hashmarkername: anaconda
kernel:         3.9.5-301.fc19.armv7hl
package:        anaconda-19.30.13-1
product:        Fedora
reason:         NameError: global name 'err' is not defined
release:        Cannot get release name.
version:        19

Comment 15 Chris Lumens 2013-08-14 18:07:53 UTC
Can you please try a tree with the upcoming anaconda-20.6?  I think I fixed this as part of a mass patch wave dealing with problems pylint found.  Thanks.


Note You need to log in before you can comment on or make changes to this bug.